ocilib::Enum< T > Class Template Reference

Template Enumeration template class providing some type safety to some extends for manipulating enumerated variables. More...

`#include <ocilib_core.hpp>`

## Detailed Description

### template<class T>
class ocilib::Enum< T >

Template Enumeration template class providing some type safety to some extends for manipulating enumerated variables.

Definition at line 151 of file ocilib_core.hpp.